Summary:	Real mode 80x86 assembler and linker
Name:		bin86-devel
Version:	0.16.17
Release:	1
License:	GPL
Group:		Development
Source0:	http://www.cix.co.uk/~mayday/bin86-%{version}.tar.gz
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)
Exclusivearch:	%{ix86}
Obsoletes:	dev86
Provides:       bin86 as86 as86-devel

%description
This package provides an assembler and linker for real mode 80x86
instructions. Programs that run in real mode, including LILO and the
kernel's bootstrapping code, need to have this package installed to be
built from the sources.

%prep
%setup -q -n bin86-%version

%build
make CFLAGS="$RPM_OPT_FLAGS" LDFLAGS="$LDFLAGS"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_bindir},%{_mandir}/man1}

install -m 755 as/as86 ld/ld86 ld/objdump86 $RPM_BUILD_ROOT%{_bindir}
install -m 644 man/* $RPM_BUILD_ROOT%{_mandir}/man1

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%{_bindir}
%{_mandir}
